%define name bootsplash
%define version 1.4.1
%define release 1mdk
%define _bootdir /boot

Summary: The Boot Splash Images and scripts
Name: %{name}
Version: %{version}
Release: %{release}
# From MDK cvs.
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/bootsplash/
Requires: /usr/bin/perl
Requires: mkinitrd > 3.1.6-25mdk
#there is no way to say a special kernel requires.
Requires: kernel 
Obsoletes: Aurora Aurora-Monitor-NewStyle-Categorizing-WsLib Aurora-Monitor-NewStyle-WsLib Aurora-Monitor-Traditional-Gtk+ Aurora-Monitor-Traditional-WsLib-8.2

# nomore noarch with the fbrelolution and progress binaries
#BuildArchitectures: noarch

%description
This package contains the scripts and pictures visible when booting a
Mandrake kernel.  They are automatically installed when an initrd is
generated by mkinitrd.

%package themes

Summary: bootsplash themes
Group: System/Kernel and hardware
Requires: bootsplash

%description themes
Additional themes for bootsplash

%prep
%setup -q

%build
make check

cd fb 
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/ $RPM_BUILD_ROOT/%_datadir/%{name}/ -not -path "*/themes/Mandrake/*" -not -path "*/scripts/*" -type f |
  sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-themes-files

%post
cd %{_bootdir} 
    if [[ -x /usr/share/loader/make-initrd ]]; then 
        /usr/share/loader/make-initrd -n &> /dev/null 
        if [[ -x /usr/sbin/detectloader ]]; then 
            LOADER=$(/usr/sbin/detectloader -q) 
	    if [[ $LOADER = "LILO" ]] && [[ -x /sbin/lilo ]];then 
                /sbin/lilo >/dev/null 2>/dev/null 
	    fi   
	    if [[ $LOADER = "YABOOT" ]] && [[ -x /sbin/ybin ]];then 
	        /sbin/ybin >/dev/null 2>/dev/null 
	    fi 
        fi 
    fi 

%postun
cd %{_bootdir} 
    if [[ -x /usr/share/loader/make-initrd ]]; then 
        /usr/share/loader/make-initrd -n &> /dev/null 
        if [[ -x /usr/sbin/detectloader ]]; then 
            LOADER=$(/usr/sbin/detectloader -q) 
	    if [[ $LOADER = "LILO" ]] && [[ -x /sbin/lilo ]];then 
                /sbin/lilo >/dev/null 2>/dev/null 
	    fi   
	    if [[ $LOADER = "YABOOT" ]] && [[ -x /sbin/ybin ]];then 
	        /sbin/ybin >/dev/null 2>/dev/null 
	    fi 
        fi 
    fi 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%_datadir/%{name}/scripts
%_datadir/%{name}/themes/Mandrake
%config(noreplace) %_sysconfdir/%{name}/themes/Mandrake/*
/bin/*

%files themes -f rpm-themes-files
%defattr(-,root,root)

%changelog
* Fri Feb 14 2003 Warly <warly@mandrakesoft.com> 1.4.1-1mdk
- new 1600x1200 image

* Fri Jan 31 2003 Warly <warly@mandrakesoft.com> 1.3.15-1mdk
- new images for 9.1

* Thu Aug 08 2002 Warly <warly@mandrakesoft.com> 1.3.14-1mdk
- add 640x480 resolution in make-boot-splash

* Fri Aug 02 2002 David BAUDENS <baudens@mandrakesoft.com> 1.3.13-2mdk
- Update images
- Fix make rpm
- Sync CVS and Cooker

* Fri Jul 26 2002 Warly <warly@mandrakesoft.com> 1.3.13.1mdk
- fix make-boot-splash because of deprecated () instead of $[]
- add hexa value matching for detect-resolution

* Thu Jul 25 2002 Warly <warly@mandrakesoft.com> 1.3.12-1mdk
- fix bug that makes mkinitrd to fail when no resolution is
found in /etc/lilo.conf

* Wed Jul 17 2002 Warly <warly@mandrakesoft.com> 1.3.11-1mdk
- new images

* Fri Mar 15 2002 Warly <warly@mandrakesoft.com> 1.3.10-1mdk
- add dams shading fix
- adjust progress bar geometry

* Wed Mar 13 2002 Warly <warly@mandrakesoft.com> 1.3.9-1mdk
- add Quel Qun fix for progress bar shading

* Fri Mar 08 2002 Warly <warly@mandrakesoft.com> 1.3.8-1mdk
- adjust progress bar in 800x600 mode

* Thu Mar 07 2002 Warly <warly@mandrakesoft.com> 1.3.7-1mdk
- obsolete Aurora
- new images
- update initrd (or try to)
- readd Ayo themes in separate packages

* Wed Mar 06 2002 David BAUDENS <baudens@mandrakesoft.com> 1.3.6-2mdk
- Remove non Mandrake's theme

* Sat Mar 02 2002 Warly <warly@mandrakesoft.com> 1.3.6-1mdk
- configure 1280x1024

* Fri Mar 01 2002 Warly <warly@mandrakesoft.com> 1.3.5-1mdk
- move cfg in /etc to have progress bar in rc.sysinit
- add new ln images
- configure progress bar location

* Tue Feb 26 2002 Warly <warly@mandrakesoft.com> 1.3.4-1mdk
- add new fb tools fbresolution and progress
- add progress bar configuration in Mandrake theme
- no more noarch

* Fri Feb 22 2002 Warly <warly@mandrakesoft.com> 1.3.3-1mdk
- new images for Mandrake theme
- text in right position for Mandrake theme

* Wed Feb 13 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.2-1mdk
- bootsplash.spec: Fix Requires on mkinitrd.
- bootsplash.spec: Update description with english words
  (ASkwar@DigitalProjects.com).

* Tue Feb 12 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-1mdk
- Add switch-themes to distributed files help a lot to make it works.

* Tue Feb 12 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-1mdk
- Add support for lilo themes.
- scripts/detect-resolution: Remove the DURING_INSTALL, we get the
  vga from cmdline like the install does.

* Mon Feb 11 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-1mdk
- Add Ayo theme.
- scripts/detect-resolution: Exist if the config file doen't exist,
   don't get information from cmdline when we are during instal

* Fri Feb  8 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-1mdk
- Add themes support.

* Mon Feb  4 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First version.

# end of file
